/oxguard/keys?action=uploadExternalPublicKey:
  post:
    tags:
      - keys
    summary: uploadExternalPublicKey
    consumes: 
        - multipart/form-data
    produces: 
        - application/json
    description: A user can upload public keys for other external communication partners. 
      This requests uploads an ASCII armored public key of an external recipient for later user.
    parameters:
      - $ref: "#/parameters/gblQueryParamSession"
      - name: key
        in: formData
        type: file
        description: The ASCII armored data of the key ring. 
        required: true
    responses:
      200:
        description: A collection of imported external key rings.
        schema:
          $ref: '#/definitions/GetExternalPublicKeysResponse'
